aboutsummaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
authorRahul Chaudhry <rahulchaudhry@chromium.org>2015-03-02 12:58:02 -0800
committerMinux Ma <minux@golang.org>2015-03-02 22:00:16 +0000
commit956bb687066d4f953c06e4bd5853bdc76b017242 (patch)
tree6579af23df8fa3e7235d730a0e137d92e5906de3 /src/run.bash
parentc3dc78f30156f30f7ca590c79a3de59baa16726a (diff)
downloadgo-956bb687066d4f953c06e4bd5853bdc76b017242.tar.xz
build: skip cgo -pie tests on freebsd-amd64.
This is a followup to http://golang.org/cl/6280. clang -pie fails to link misc/cgo/test on freebsd-amd64. Change-Id: I6f9575d6bb579f4d38d70707fb9c92e303e30e6f Reviewed-on: https://go-review.googlesource.com/6520 Run-TryBot: Minux Ma <minux@golang.org> TryBot-Result: Gobot Gobot <gobot@golang.org> Reviewed-by: Minux Ma <minux@golang.org>
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash19
1 files changed, 12 insertions, 7 deletions
diff --git a/src/run.bash b/src/run.bash
index 90afaaa4e6..15184fd875 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -158,13 +158,18 @@ android-arm | dragonfly-386 | dragonfly-amd64 | freebsd-386 | freebsd-amd64 | fr
go test -ldflags '-linkmode=external' ../nocgo || exit 1
go test -ldflags '-linkmode=external -extldflags "-static -pthread"' ../nocgo || exit 1
fi
- if ! $CC -xc -o /dev/null -pie - 2>/dev/null <<<'int main() {}' ; then
- echo "No support for -pie found, skip cgo PIE test."
- else
- go test -ldflags '-linkmode=external -extldflags "-pie"' || exit 1
- go test -ldflags '-linkmode=external -extldflags "-pie"' ../testtls || exit 1
- go test -ldflags '-linkmode=external -extldflags "-pie"' ../nocgo || exit 1
- fi
+ case "$GOHOSTOS-$GOARCH" in
+ freebsd-amd64) ;; # clang -pie fails to link misc/cgo/test
+ *)
+ if ! $CC -xc -o /dev/null -pie - 2>/dev/null <<<'int main() {}' ; then
+ echo "No support for -pie found, skip cgo PIE test."
+ else
+ go test -ldflags '-linkmode=external -extldflags "-pie"' || exit 1
+ go test -ldflags '-linkmode=external -extldflags "-pie"' ../testtls || exit 1
+ go test -ldflags '-linkmode=external -extldflags "-pie"' ../nocgo || exit 1
+ fi
+ ;;
+ esac
;;
esac
;;